<!DOCTYPE html>
<html lang="fr">

<head>
    <meta charset="UTF-8">
    <title>PIC Express</title>

    <script src="script/fabricjs/fabric.js"></script>
    <script src="script/fabricjs/fabric-history.js"></script>
    <script src="script/jquery/jquery-3.4.1.js"></script>
    <script src="script/jquery/jquery-ui-1.12.1.js"></script>
    <script src="script/bootstrap/bootstrap.min.js"></script>
    <script src="script/spectrum/spectrum.js"></script>
    <script src="script/persistence.js"></script>
    <!-- <script src="script/Modernizr.js"></script> -->

    <link rel="stylesheet" type="text/css" href="css/spectrum/spectrum.css">
    <link rel="stylesheet" type="text/css" href="css/bootstrap/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="css/font_awesome/font_awesome.min.css">
    <link rel="stylesheet" type="text/css" href="css/main.css">
    <link rel="stylesheet" type="text/css" href="css/header.css">
    <link rel="stylesheet" type="text/css" href="css/aside.css">
    <link rel="stylesheet" type="text/css" href="css/canvas.css">
    <link rel="stylesheet" type="text/css" href="css/floating_section.css">

    <style>
        #download-msg {
            display: flex;
            flex-direction: row;
            align-items: center;
            margin-top: -1px;
        }
        #download-msg > i {
            font-size: 14px;
        }
        #download-msg > div {
            margin-left: 5px;
        }

    </style>
</head>

<body>


    <!-- Message lors du chargement de la page -->
    <div id="loader-container" class="center">
        <div id="loader-msg">Chargement de l'application</div>
    </div>


    <!-- Logo IDeM + title -->
    <header>
        <a href="http://www.bw-idem.fr">
            <img src="image/logo_idem.jpg" alt="logo_idem" id="logo-idem">
        </a>
        <div id="title-box">
            <div id="title">PIC Express</div>
        </div>

        <div id="header-msg-box">
            <p id="calibration-msg" class="header-msg"  hidden>Calibration de l'échelle en cours</p>
            <div id="download-msg" class="header-msg" hidden>
                <i class="fa fa-cog fa-spin fa-3x fa-fw"></i>
                <div>PIC en cours de génération</div>
            </div>
        </div>
    </header>


    <!-- Tools menu -->
    <aside class="accordion" id="side-bar" style="visibility:hidden;">
        <div class="card" id="sideBarContainer">
            <div class="card-header" id="sideBarHeader">
                <h2 class="mb-0">
                    <button id="sideBarToolsBtn" class="btn btn-link" type="button" data-toggle="collapse" data-target="#sideBarContent" aria-expanded="true" aria-controls="sideBarContent">
                            <i class="fas fa-bars"></i><div>Outils</div>
                        </button>
                </h2>
            </div>

            <div id="sideBarContent" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
                <div class="card-body">

                    <button id="saveBtn" class="btn" type="button" onclick="Save.saveAndNotify();">Sauvegarder l'état du PIC</button>
                    <button id="editCartoucheBtn" class="btn" type="button" data-toggle="modal" data-target="#cartoucheModal">Editer le cartouche</button>

                    <!-- Section dessin -->
                    <div class="accordion sideBarSection" id="dessinSection">
                        <div class="card sideBarSectionContainer" id="dessinSectionContainer">
                            <div class="card-header sideBarSectionHeader" id="dessinSectionHeader">
                                <h2 class="mb-0">
                                    <button id="dessinSectionBtn" class="btn btn-link sideBarSectionBtn" type="button" data-toggle="collapse" data-target="#dessinSectionContent" aria-expanded="true" aria-controls="dessinSectionContent">
                                            Dessin <i class="fas fa-angle-up fa-lg"></i>
                                        </button>
                                </h2>
                            </div>
                            <div id="dessinSectionContent" class="collapse show sideBarSectionContent" aria-labelledby="headingOne" data-parent="#accordionExample">
                                <div class="card-body">
                                    <div id="firstLineBtn" class="lineBtn">
                                        <button type="button" class="btn" id="textBtn" onclick="Text.switchActivateDeactivateText()">
                                                <i class="fas fa-font"></i>
                                                <p class="btn-text">Texte</p>
                                            </button>
                                        <button type="button" class="btn" id="pochageBtn" onclick="Pochage.switchActivateDeactivatePochage();" title="Clic droit pour terminer.">
                                                <i class="fas fa-draw-polygon"></i>
                                                <p class="btn-text">Pochage</p>
                                            </button>
                                        <button type="button" class="btn" id="clotureBtn" onclick="Cloture.switchActivateDeactivateCloture();" title="Clic droit pour terminer.">
                                                <img src="css/icons/dashed_line.png" class="fas" id="clotureIcon">
                                                <p class="btn-text">Clôture</p>
                                            </button>
                                    </div>
                                    <div id="colorSection">
                                        <label>Couleur</label>
                                        <input id="color-picker" value='#FF7F00' />
                                    </div>
                                    <div id="styleClotureSection" style="display: none;">
                                        <input type="checkbox" id="styleClotureCheckbox" name="styleCloture" checked>
                                        <label for="styleClotureCheckbox">Clôture amovible</label>
                                    </div>
                                    <div id="secondLineBtn" class="lineBtn">
                                        <button type="button" class="btn" id="cotationBtn" onclick="Cotation.switchActivateDeactivateCotation()">
                                                <i class="fas fa-pencil-ruler"></i>
<!--                                                <i class="fas fa-ruler-horizontal"></i>-->
                                                <p class="btn-text">Cotation</p>
                                            </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Section librairie -->
                    <div class="accordion sideBarSection" id="librairieSection">
                        <div class="card sideBarSectionContainer" id="librairieSectionContainer">
                            <div class="card-header sideBarSectionHeader" id="librairieSectionHeader">
                                <h2 class="mb-0">
                                    <button id="librairieSectionBtn" class="btn btn-link sideBarSectionBtn" type="button" data-toggle="collapse" data-target="#librairieSectionContent" aria-expanded="true" aria-controls="librairieSectionContent">
                                            Librairie <i class="fas fa-angle-up fa-lg"></i>
                                        </button>
                                </h2>
                            </div>
                            <div id="librairieSectionContent" class="collapse show sideBarSectionContent" aria-labelledby="headingOne" data-parent="#accordionExample">
                                <div class="card-body">
                                    <div class="librarySectionLine" id="librarySectionItems"> </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Section de téléchargement du Plan d'Installation de Chantiers-->
                    <div id="downloadSection" class="span4 proj-div" onclick="Save.downloadPIC()">
                        <p class="btn-text"><i class="fas fa-download"></i>Télécharger le PIC</p>
                    </div>

                </div>
            </div>
        </div>
    </aside>

    <!-- Delete, undo/redo, move and zoom section (floating section in bottom right) -->
    <section id="floating-section" style="visibility:hidden;">
        <div id="line-section">
            <!-- Delete -->
            <button type="button" id="deleteBtn" class="btn floating-btn btn-outline-danger" title="Effacer les objets sélectionnés" onclick="Suppression.removeSelection()">
					<i class="fa fa-trash" aria-hidden="true"></i>
				</button>
            <!-- Undo -->
            <button type="button" id="undeBtn" class="btn floating-btn btn-outline-primary" title="Revenir en arrière" onclick="UndoRedo.undo()">
					<i class="fa fa-undo" aria-hidden="true"></i>
				</button>
            <!-- Redo -->
            <button type="button" id="redoBtn" class="btn floating-btn btn-outline-primary" title="Revenir en avant" onclick="UndoRedo.redo()">
					<i class="fa fa-redo" aria-hidden="true"></i>
				</button>
            <!-- Move -->
            <button type="button" id="moveMapBtn" class="btn floating-btn btn-outline-primary" title="Déplacer le plan" onclick="MoveMap.clicked()">
					<i class="fas fa-arrows-alt" aria-hidden="true"></i>
				</button>
        </div>
        <div id="zoom-section">
            <!-- Zoom in -->
            <button id="zoomInBtn" type="button" class="btn floating-btn btn-outline-primary" title="Zoomer" onclick="Zoom.in()">
					<i class="fa fa-search-plus" aria-hidden="true"></i>
				</button>
            <!-- Zoom out -->
            <button id="zoomOutBtn" type="button" class="btn floating-btn btn-outline-primary" title="Dézoomer" onclick="Zoom.out()">
					<i class="fa fa-search-minus" aria-hidden="true"></i>
				</button>
        </div>
    </section>

    <!-- Modal -->
    <section id="modal-section">
        <div class="modal fade" id="calculate-scale-modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Mesure de l'échelle</h5>
                    </div>
                    <div class="modal-body">
                        <p class="text-justify">Avant de pouvoir utiliser les outils de l'application PIC Express, il est nécessaire de calculer l'échelle du plan afin que l'application sache mettre les cotations et les éléments de la librairie à la bonne échelle. Pour cela,
                            après avoir cliqué sur le bouton "Valider et mesurer l'échelle" ci-dessous, il faudra cliquer 2 fois sur le plan avant de pouvoir commencer à utiliser les différents outils.</p>
                        <p class="font-weight-bold text-justify">La distance entre les 2 prochains clics sur le plan doit correspondre à la distance réelle saisie ci-dessous en mètre :</p>
                        <input type="number" class="form-control" id="scaleRealDistance" placeholder="Mesure réelle entre les deux prochains points en mètre...">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary dark-blue-btn" onclick="validateScale()">Valider et mesurer l'échelle</button>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <div class="alert alert-primary collapse" id="first-click-scale-alert" role="alert">
        Premier clic de la mesure de l'échelle effectué.
    </div>
    <div class="alert alert-primary collapse" id="second-click-scale-alert" role="alert">
        Echelle mesurée.
    </div>

    <div id="cartoucheModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="editcartouche" aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Edition du cartouche</h5>
                </div>
                <div class="modal-body" id="cartoucheModalBody">
                    <p class="font-weight-bold text-justify">Editez les différents champs de votre cartouche</p>

                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text cartoucheInputLabel" id="inputGroup-sizing-default">Nom du plan</span>
                        </div>
                        <input type="text" class="form-control" id="planName" placeholder="ex: Plan d'installation de chantier">
                    </div>
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text cartoucheInputLabel" id="inputGroup-sizing-default">Date</span>
                        </div>
                        <input type="text" class="form-control" id="datePlan" placeholder="ex: 13/04/2020">
                    </div>
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text cartoucheInputLabel" id="inputGroup-sizing-default">Adresse du projet</span>
                        </div>
                        <input type="text" class="form-control" id="adressProject" placeholder="ex: Rue du Dr Schweitzer, 60200 Compiègne">
                    </div>
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text cartoucheInputLabel" id="inputGroup-sizing-default">Version du plan</span>
                        </div>
                        <input type="text" class="form-control" id="planVersion" placeholder="ex: v1">
                    </div>
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text cartoucheInputLabel" id="inputGroup-sizing-default">Format</span>
                        </div>
                        <input type="text" class="form-control" id="format" placeholder="ex: A3">
                    </div>
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text cartoucheInputLabel" id="inputGroup-sizing-default">Client</span>
                        </div>
                        <input type="text" class="form-control" id="client" placeholder="ex: UTConstruction">
                    </div>
                    <div class="input-group mb-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text cartoucheInputLabel" id="inputGroup-sizing-default">Autheur du plan</span>
                        </div>
                        <input type="text" class="form-control" id="autheur" placeholder="ex: Paul DUPONT">
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-dismiss="modal">Annuler</button>
                    <button type="button" class="btn btn-success" onclick="Cartouche.formSubmitted()">Valider</button>
                </div>
            </div>
        </div>
    </div>


    <!-- Drag & Drop -->
    <script type="text/javascript" src="script/dragAndDrop.js"></script>
    <!-- Canvas -->
    <script type="text/javascript" src="script/global.js"></script>
    <!-- cartouche -->
    <script type="text/javascript" src="script/cartouche.js"></script>
    <!-- Zoom -->
    <script type="text/javascript" src="script/zoom.js"></script>
    <!-- Chargement du plan de masse -->
    <script type="text/javascript" src="script/loadMap.js"></script>

    <!-- Canvas for fabricjs -->
    <div id="mapAndCanvas-container" style="visibility:hidden;">
        <!-- <img id="map" src="image/plan_de_masse-min.jpg" alt="" onload="imgLoaded();"> -->
        <img id="map" src="" alt="" onload="imgLoaded();">
        <canvas id="canvas" class="canvas"></canvas>
    </div>

    <!-- GetScale -->
    <script type="text/javascript" src="script/getScale.js"></script>
    <!-- Cotation -->
    <script type="text/javascript" src="script/cotation.js"></script>
    <!-- Suppression -->
    <script type="text/javascript" src="script/suppression.js"></script>
    <!-- UndoRedo -->
    <script type="text/javascript" src="script/undoredo.js"></script>
    <!-- Text -->
    <script type="text/javascript" src="script/text.js"></script>
    <!-- Pochage -->
    <script type="text/javascript" src="script/pochage.js"></script>
    <!-- Cloture -->
    <script type="text/javascript" src="script/cloture.js"></script>
    <!-- Move map -->
    <script type="text/javascript" src="script/moveMap.js"></script>
    <!-- Save -->
    <script type="text/javascript" src="script/save.js"></script>



</body>

</html>